Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.gateway
Class PackageJmsMessageContents

    java.lang.Object
      org.jboss.soa.esb.listeners.gateway.PackageJmsMessageContents

    public class PackageJmsMessageContents

extends java.lang.Object

Default gateway action for plain jms messages

It will just drop the jms message contents into a esb Message

Since:
  Version 4.0
Author:
  schifest@heuristica.com.ar, Daniel Bevenius

Constructor Summary
`PackageJmsMessageContents(ConfigTree config)`
`PackageJmsMessageContents(MessagePayloadProxy payloadProxy)`

Method Summary
`static MessagePayloadProxy` | `createPayloadProxy(ConfigTree config)`
`Message` | `process(java.lang.Object obj)` Will just drop the jms message contents into a esb Message
`void` | `setEsbPropertiesStrategy(ESBPropertiesSetter esbPropertiesStrategy)` Set the `ESBPropertiesSetter` to be used
`protected void` | `setPropertiesFromJMSMessage(javax.jms.Message fromJMS, Message toESB)` Delegates to `DefaultESBPropertiesSetter.setPropertiesFromJMSMessage(javax.jms.Message, Message)` by default, but this method can be overridden by subclasses that need a different behaviour.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PackageJmsMessageContents

    public PackageJmsMessageContents(ConfigTree config)

### PackageJmsMessageContents

    public PackageJmsMessageContents(MessagePayloadProxy payloadProxy)

Method Detail

### process

    public Message process(java.lang.Object obj)
                    throws javax.jms.JMSException,
                           java.io.IOException,
                           MessageDeliverException

  Will just drop the jms message contents into a esb Message

  Parameters:
    `obj` - An instance of Message
  Returns:
    `esbMessage` A newly created ESB Message object populated with the contents obj argument passed in.
  Throws:
    `javax.jms.JMSException`
    `java.io.IOException`
    `MessageDeliverException`
  See Also:
    `setESBMessageBody(javax.jms.Message, Message)`

### setEsbPropertiesStrategy

    public void setEsbPropertiesStrategy(ESBPropertiesSetter esbPropertiesStrategy)

  Set the `ESBPropertiesSetter` to be used

  Parameters:
    `esbPropertiesStrategy` - the strategy to be used

### setPropertiesFromJMSMessage

    protected void setPropertiesFromJMSMessage(javax.jms.Message fromJMS,
                                               Message toESB)
                                        throws javax.jms.JMSException

  Delegates to `DefaultESBPropertiesSetter.setPropertiesFromJMSMessage(javax.jms.Message, Message)` by default, but this method can be overridden by subclasses that need a different behaviour. It is also possible to set a different strategy by setting `setEsbPropertiesStrategy(ESBPropertiesSetter)`

  Throws:
    `javax.jms.JMSException`

### createPayloadProxy

    public static MessagePayloadProxy createPayloadProxy(ConfigTree config)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD